- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
ceil
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Numeric functions

Round to integer greater than equal to current value. More...

## Functions
AFAPI array | ceil (const array &in)
| C++ Interface for ceiling an array of numbers. More...
AFAPI af_err | af_ceil (af_array *out, const af_array in)
| C Interface for ceiling an array of numbers. More...

## Detailed Description

Round to integer greater than equal to current value.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_ceil | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for ceiling an array of numbers.

Parameters

  [out] | out | will contain values rounded to nearest integer greater than or equal to in
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::ceil | ( | const array & | in | ) |

C++ Interface for ceiling an array of numbers.

Parameters

  [in] | in | is input array

Returns
  values rounded to nearest integer greater than or equal to current value